Skip to main content
GET
/
public
/
v1
/
payor-contracts
/
{contract_id}
Get Payor Contract
curl --request GET \
  --url https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.silnahealth.com/api/public/v1/payor-contracts/{contract_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payor_name": "<string>",
  "contracted_under": "<string>",
  "insurance_types": [],
  "plans": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "excluded_plans": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "service_locations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "ipa_required": true,
  "version_number": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "contract_npi": "1234567890",
  "contract_tin": "123456789",
  "medicaid_id": null
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contract_id
string
required

Response

id
string<uuid>
required

The contract's Silna identifier

payor_id
string<uuid>
required

The payor's Silna identifier

payor_name
string
required

Payor name

contracted_under
string
required

Name of the clinician or provider group this contract is for

insurance_types
enum<string>[]
required

Specifies which insurance types this contract covers. When no types are selected, the contract applies to all insurance types.

Available options:
COMMERCIAL,
MEDICARE,
MEDICAID,
REGIONAL_CENTER,
WORKERS_COMPENSATION,
AUTO_INSURANCE
plans
V1ContractPlan · object[]
required

Specific plans included in this contract. When no plans are selected, the contract applies to all plans.

excluded_plans
V1ContractPlan · object[]
required

Plans specifically excluded from this contract. The contract applies to all plans except those listed.

service_locations
V1ContractServiceLocation · object[]
required

Service locations associated with this contract. At least one service location is required.

ipa_required
boolean
required

When enabled, this contract only applies when the patient is associated with one of the contract's IPAs.

version_number
integer
required

Contract version number

created_at
string<date-time>
required

Contract creation timestamp

contract_npi
string | null

National Provider Identifier

Example:

"1234567890"

contract_tin
string | null

Tax Identification Number

Example:

"123456789"

medicaid_id
string | null

Medicaid ID